Debian Bug report logs - #219352
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: _dl_next_tls_modid: Assertion `result <= _rtld_local._dl_tls_max_dtv_idx' failed!

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Luca Corti <luca.corti@infinito.it>

Date: Wed, 5 Nov 2003 21:48:01 UTC

Severity: normal

Tags: confirmed

Fixed in version glibc/2.3.2.ds1-21

Done: GOTO Masanori <gotom@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#219352; Package xmms. Full text and rfc822 format available.

Acknowledgement sent to Luca Corti <luca.corti@infinito.it>:
New Bug report received and forwarded. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Corti <luca.corti@infinito.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: should depend on libmikmod2
Date: Wed, 05 Nov 2003 22:39:23 +0100
Package: xmms
Version: 1.2.8-2
Severity: grave

Unless libmikmod2 is installed, xmms fails to start with:

libmikmod.so.2: cannot open shared object file: No such file or
directory
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72:
_dl_next_tls_modid: Assertion `result <=
_rtld_local._dl_tls_max_dtv_idx' failed!


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux cortez 2.6.0-test9-luca #1 Tue Nov 4 23:57:31 CET 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages xmms depends on:
ii  libc6                      2.3.2.ds1-9   GNU C Library: Shared libraries an
ii  libglib1.2                 1.2.10-9      The GLib library of C routines
ii  libgtk1.2                  1.2.10-16     The GIMP Toolkit set of widgets fo
ii  xlibs                      4.3.0-0pre1v4 X Window System client libraries

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#219352; Package xmms. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@srce.hr>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #10 received at 219352@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@srce.hr>
To: Luca Corti <luca.corti@infinito.it>, 219352@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#219352: should depend on libmikmod2
Date: Thu, 6 Nov 2003 19:20:48 +0100
reassign 219352 libc6
thanks

On Wed, Nov 05, 2003 at 10:39:23PM +0100, Luca Corti wrote:
> Package: xmms
> Version: 1.2.8-2
> Severity: grave
> 
> Unless libmikmod2 is installed, xmms fails to start with:
> 
> libmikmod.so.2: cannot open shared object file: No such file or
> directory
> Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72:
> _dl_next_tls_modid: Assertion `result <=
> _rtld_local._dl_tls_max_dtv_idx' failed!

That's a glibc assertion failure...

-- 
     2. That which causes joy or happiness.



Bug reassigned from package `xmms' to `libc6'. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Luca Corti <luca.corti@infinito.it>:
Bug#219352. Full text and rfc822 format available.

Message #17 received at 219352-submitter@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Josip Rodin <joy-packages@debian.org>(xmms #219352), GNU Libc Maintainers <debian-glibc@lists.debian.org>(libc6 #219352), 219352-submitter@bugs.debian.org
Subject: Re: Processed: Re: Bug#219352: should depend on libmikmod2
Date: Sat, 08 Nov 2003 00:52:14 +0900
At Thu, 06 Nov 2003 12:33:16 -0600,
Debian Bug Tracking System wrote:
> > reassign 219352 libc6
> Bug#219352: should depend on libmikmod2
> Bug reassigned from package `xmms' to `libc6'.

> Unless libmikmod2 is installed, xmms fails to start with:
> 
> libmikmod.so.2: cannot open shared object file: No such file or
> directory
> Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72:
> _dl_next_tls_modid: Assertion `result <=
> _rtld_local._dl_tls_max_dtv_idx' failed!

I use xmms everyday, and I can't reproduce this bug.  It complained
"cannot open shared object", but it's not crashed.  Even after I
removed ~/.xmms, it works.  You have to find how to reproduce this
problem.

Regards,
-- gotom



Tags added: moreinfo, unreproducible Request was from GOTO Masanori <gotom@debian.or.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 219352 219962. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #26 received at 219352@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Felix Seeger <felix.seeger@gmx.de>, 219352@bugs.debian.org
Cc: gotom@debian.or.jp
Subject: Re: xmms libc crash
Date: Wed, 12 Nov 2003 00:49:38 +0900
Hi,

At Sun, 9 Nov 2003 10:35:14 +0100,
Felix Seeger wrote:
> I found this 
> http://lists.debian.org/debian-glibc/2003/debian-glibc-200311/msg00339.html 
> while searching for the bug.
> 
> I also have this problem, this is since I updated libc to the -ds* versions.
> Also since libc 2.3 I cannot execute /lib/libc.so.6, I get:
> 
> Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion 
> `_rtld_local._dl_rtld_map.l_prev->l_next == _rtld_local._dl_rtld_map.l_next' 
> failed!
> 
> As far as I found out this could be a problem with the kernel. I am running 
> 2.6.0-test9. I cannot reproduce this on my 2.4 machine at work.

I also tested on both 2.4 and 2.6 kernel, even with removing ~/.xmms.
However I cannot reproduce it...  Which CPU do you use?

Regards,
-- gotom




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 219352@bugs.debian.org (full text, mbox):

From: Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>
To: 219352@bugs.debian.org
Subject: Extra info: It's a kernel-2.6.0 thing...
Date: Tue, 11 Nov 2003 17:07:35 +0100
This bug ONLY (!) occurs under kernel-2.6.0!
With kernel-2.4.22 or 23 it's fine.

Note that both bug reporters report using a 2.6.x system!

-- 
Ralf Hildebrandt (Im Auftrag des Referat V a)   Ralf.Hildebrandt@charite.de
Charite - Universitätsmedizin Berlin            Tel.  +49 (0)30-450 570-155
Gemeinsame Einrichtung von FU- und HU-Berlin    Fax.  +49 (0)30-450 570-916
Referat V a - Kommunikationsnetze -             AIM.  ralfpostfix



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Jeff Bailey <jbailey@nisa.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #36 received at 219352@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@nisa.net>
To: GOTO Masanori <gotom@debian.or.jp>, 219352@bugs.debian.org
Cc: Felix Seeger <felix.seeger@gmx.de>
Subject: Re: Bug#219352: xmms libc crash
Date: Tue, 11 Nov 2003 08:39:38 -0800
On Wed, Nov 12, 2003 at 12:49:38AM +0900, GOTO Masanori wrote:

> > I also have this problem, this is since I updated libc to the -ds* versions.
> > Also since libc 2.3 I cannot execute /lib/libc.so.6, I get:
> > 
> > Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion 
> > `_rtld_local._dl_rtld_map.l_prev->l_next == _rtld_local._dl_rtld_map.l_next' 
> > failed!
> > 
> > As far as I found out this could be a problem with the kernel. I am running 
> > 2.6.0-test9. I cannot reproduce this on my 2.4 machine at work.
> 
> I also tested on both 2.4 and 2.6 kernel, even with removing ~/.xmms.
> However I cannot reproduce it...  Which CPU do you use?

I also cannot reproduce 2.4 kernel on k7 using Debian's package, and
Pentium 2 Xeon, using Debian's 2.6.0-test9 kernel package.

Tks,
Jeff Bailey



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Juergen Kreileder <jk@blackdown.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #41 received at 219352@bugs.debian.org (full text, mbox):

From: Juergen Kreileder <jk@blackdown.de>
To: Jeff Bailey <jbailey@nisa.net>
Cc: 219352@bugs.debian.org, GOTO Masanori <gotom@debian.or.jp>, Felix Seeger <felix.seeger@gmx.de>
Subject: Re: Bug#219352: xmms libc crash
Date: Tue, 11 Nov 2003 18:19:27 +0100
Jeff Bailey <jbailey@nisa.net> writes:

> On Wed, Nov 12, 2003 at 12:49:38AM +0900, GOTO Masanori wrote:
>
>>> I also have this problem, this is since I updated libc to the -ds*
>>> versions.  Also since libc 2.3 I cannot execute /lib/libc.so.6, I
>>> get:
>>>
>>> Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion
>>> `_rtld_local._dl_rtld_map.l_prev->l_next ==
>>> _rtld_local._dl_rtld_map.l_next' failed!
>>>
>>> As far as I found out this could be a problem with the kernel. I
>>> am running 2.6.0-test9. I cannot reproduce this on my 2.4 machine
>>> at work.
>>
>> I also tested on both 2.4 and 2.6 kernel, even with removing
>> ~/.xmms.  However I cannot reproduce it...  Which CPU do you use?
>
> I also cannot reproduce 2.4 kernel on k7 using Debian's package, and
> Pentium 2 Xeon, using Debian's 2.6.0-test9 kernel package.

The original bug report says "Unless libmikmod2 is installed [...]".
(xmms recommends libmikmod2.)

If I move /usr/lib/libmikmod.so.2* out of the way I can reproduce
this problem with 2.6.0-test9-mm2:

% xmms
libmikmod.so.2: cannot open shared object file: No such file or directory
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: _dl_next_tls_modid: Assertion `result <= _rtld_local._dl_tls_max_dtv_idx' failed!


I also can reproduce the problem mentioned above:

% /lib/ld-2.3.2.so /lib/libc-2.3.2.so 
Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion `_rtld_local._dl_rtld_map.l_prev->l_next == _rtld_local._dl_rtld_map.l_next' failed!
% /lib/ld-2.3.2.so /lib/tls/libc-2.3.2.so 
Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion `_rtld_local._dl_rtld_map.l_prev->l_next == _rtld_local._dl_rtld_map.l_next' failed!
% /lib/ld-2.3.2.so /lib/tls/i686/cmov/libc-2.3.2.so 
Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion `_rtld_local._dl_rtld_map.l_prev->l_next == _rtld_local._dl_rtld_map.l_next' failed!
% /lib/tls/i686/cmov/ld-2.3.2.so /lib/tls/i686/cmov/libc-2.3.2.so 
Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion `_rtld_local._dl_rtld_map.l_prev->l_next == _rtld_local._dl_rtld_map.l_next' failed!


BTW, why aren't the executable bits set for libc-2.3.2.so in the
current glibc packages?

% find /lib -name libc-2.3.2.so | xargs ls -l
-rw-r--r--    1 root     root      1243076 Nov  5 20:17 /lib/libc-2.3.2.so
-rw-r--r--    1 root     root      1273468 Nov  5 20:18 /lib/tls/i686/cmov/libc-2.3.2.so
-rw-r--r--    1 root     root      1270908 Nov  5 20:17 /lib/tls/libc-2.3.2.so


        Juergen

-- 
Juergen Kreileder, Blackdown Java-Linux Team
http://www.blackdown.org/java-linux/java2-status/



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Felix Seeger <felix.seeger@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #46 received at 219352@bugs.debian.org (full text, mbox):

From: Felix Seeger <felix.seeger@gmx.de>
To: Juergen Kreileder <jk@blackdown.de>, Jeff Bailey <jbailey@nisa.net>
Cc: 219352@bugs.debian.org, GOTO Masanori <gotom@debian.or.jp>
Subject: Re: Bug#219352: xmms libc crash
Date: Tue, 11 Nov 2003 20:23:58 +0100
On Tuesday 11 November 2003 18:19, Juergen Kreileder wrote:
> Jeff Bailey <jbailey@nisa.net> writes:
> > On Wed, Nov 12, 2003 at 12:49:38AM +0900, GOTO Masanori wrote:
> >> I also tested on both 2.4 and 2.6 kernel, even with removing
> >> ~/.xmms.  However I cannot reproduce it...  Which CPU do you use?
I use an AMD Athlon XP 2500+ on an Asus nforce2 board with nvidia drivers.

> > I also cannot reproduce 2.4 kernel on k7 using Debian's package, and
> > Pentium 2 Xeon, using Debian's 2.6.0-test9 kernel package.
>
> The original bug report says "Unless libmikmod2 is installed [...]".
> (xmms recommends libmikmod2.)
>
> If I move /usr/lib/libmikmod.so.2* out of the way I can reproduce
> this problem with 2.6.0-test9-mm2:
Yes, if I install libmikmod2 xmms starts up normally.

> % xmms
> libmikmod.so.2: cannot open shared object file: No such file or directory
> Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72:
> _dl_next_tls_modid: Assertion `result <= _rtld_local._dl_tls_max_dtv_idx'
> failed!
>
>
> I also can reproduce the problem mentioned above:
>
> % /lib/ld-2.3.2.so /lib/libc-2.3.2.so
> Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion
> `_rtld_local._dl_rtld_map.l_prev->l_next ==
> _rtld_local._dl_rtld_map.l_next' failed! % /lib/ld-2.3.2.so
> /lib/tls/libc-2.3.2.so
[...]

> BTW, why aren't the executable bits set for libc-2.3.2.so in the
> current glibc packages?

This is new since the -ds libc packages I think. Until now I thought it is to 
hide the bug ;)

thanks
have fun
Felix



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #51 received at 219352@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Felix Seeger <felix.seeger@gmx.de>, 219352@bugs.debian.org
Cc: Juergen Kreileder <jk@blackdown.de>, Jeff Bailey <jbailey@nisa.net>, GOTO Masanori <gotom@debian.or.jp>
Subject: Re: Bug#219352: xmms libc crash
Date: Thu, 13 Nov 2003 10:11:32 +0900
At Tue, 11 Nov 2003 20:23:58 +0100,
Felix Seeger wrote:
> On Tuesday 11 November 2003 18:19, Juergen Kreileder wrote:
> > Jeff Bailey <jbailey@nisa.net> writes:
> > > On Wed, Nov 12, 2003 at 12:49:38AM +0900, GOTO Masanori wrote:
> > >> I also tested on both 2.4 and 2.6 kernel, even with removing
> > >> ~/.xmms.  However I cannot reproduce it...  Which CPU do you use?
> I use an AMD Athlon XP 2500+ on an Asus nforce2 board with nvidia drivers.
> 
> > > I also cannot reproduce 2.4 kernel on k7 using Debian's package, and
> > > Pentium 2 Xeon, using Debian's 2.6.0-test9 kernel package.
> >
> > The original bug report says "Unless libmikmod2 is installed [...]".
> > (xmms recommends libmikmod2.)
> >
> > If I move /usr/lib/libmikmod.so.2* out of the way I can reproduce
> > this problem with 2.6.0-test9-mm2:
> Yes, if I install libmikmod2 xmms starts up normally.

This problem is occured under:

	- kernel 2.6.0-test9
	- glibc 2.3.2.ds1-9
	- CPU is not related?
	- xmms 1.2.8-2
	- libmikmod 3.1.10-5
	- you might not install libc6-i686
	- we use unstable sid.

I use such environment, but I cannot reproduce this problem...  Please
check your environment settings, and if you can, please track with gdb
and strace.  This bug may be downgraded to important...

Regards,
-- gotom



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Felix Seeger <felix.seeger@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #56 received at 219352@bugs.debian.org (full text, mbox):

From: Felix Seeger <felix.seeger@gmx.de>
To: GOTO Masanori <gotom@debian.or.jp>, 219352@bugs.debian.org
Cc: Juergen Kreileder <jk@blackdown.de>, Jeff Bailey <jbailey@nisa.net>, felix.seeger@gmx.de
Subject: Re: Bug#219352: xmms libc crash
Date: Thu, 13 Nov 2003 02:54:40 +0100
On Thursday 13 November 2003 02:11, GOTO Masanori wrote:
> At Tue, 11 Nov 2003 20:23:58 +0100,
> Felix Seeger wrote:
>
> > On Tuesday 11 November 2003 18:19, Juergen Kreileder wrote:
> >
> > > Jeff Bailey <jbailey@nisa.net> writes:
> > >
> > > > On Wed, Nov 12, 2003 at 12:49:38AM +0900, GOTO Masanori wrote:
> > > >
> > > >> I also tested on both 2.4 and 2.6 kernel, even with removing
> > > >> ~/.xmms.  However I cannot reproduce it...  Which CPU do you use?
> >
> > I use an AMD Athlon XP 2500+ on an Asus nforce2 board with nvidia
> > drivers.
 
> >
> > > > I also cannot reproduce 2.4 kernel on k7 using Debian's package, and
> > > > Pentium 2 Xeon, using Debian's 2.6.0-test9 kernel package.
> > >
> > >
> > > The original bug report says "Unless libmikmod2 is installed [...]".
> > > (xmms recommends libmikmod2.)
> > >
> > > If I move /usr/lib/libmikmod.so.2* out of the way I can reproduce
> > > this problem with 2.6.0-test9-mm2:
> >
> > Yes, if I install libmikmod2 xmms starts up normally.
>
> 
> This problem is occured under:
> 
> 	- kernel 2.6.0-test9
> 	- glibc 2.3.2.ds1-9
2.3.2.ds1-10, but I think it also happend with -9

> 	- CPU is not related?
Don't know

> 	- xmms 1.2.8-2
> 	- libmikmod 3.1.10-5
If not installed

> 	- you might not install libc6-i686
yes, not installed
> 	- we use unstable sid.
yes

> I use such environment, but I cannot reproduce this problem...  Please
> check your environment settings, and if you can, please track with gdb
> and strace.  This bug may be downgraded to important...

I remove libmikmod2 and run xmms with gdb, but when I type bt, there isn't 
one. Here is the strace output from the libmikmod warning on:

write(2, "libmikmod.so.2: cannot open shar"..., 74libmikmod.so.2: cannot open 
shared object file: No such file or directory
) = 74
stat64("/usr/lib/xmms/Input/libcdaudio.so", {st_mode=S_IFREG|0644, 
st_size=55440, ...}) = 0
open("/usr/lib/xmms/Input/libcdaudio.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 2\0\000"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=55440, ...}) = 0
old_mmap(NULL, 56736, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x4109c000
old_mmap(0x410a9000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 
0xd000) = 0x410a9000
close(8)                                = 0
stat64("/usr/lib/xmms/Input/libtonegen.so", {st_mode=S_IFREG|0644, 
st_size=8508, ...}) = 0
open("/usr/lib/xmms/Input/libtonegen.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\t\0"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=8508, ...}) = 0
old_mmap(NULL, 11584, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x410aa000
old_mmap(0x410ac000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 
0x1000) = 0x410ac000
close(8)                                = 0
getdents64(7, /* 0 entries */, 131072)  = 0
close(7)                                = 0
open("/usr/lib/xmms/Effect", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 7
fstat64(7, {st_mode=S_IFDIR|0755, st_size=144, ...}) = 0
fcntl64(7, F_SETFD, FD_CLOEXEC)         = 0
getdents64(7, /* 5 entries */, 131072)  = 144
stat64("/usr/lib/xmms/Effect/.", {st_mode=S_IFDIR|0755, st_size=144, ...}) = 0
stat64("/usr/lib/xmms/Effect/..", {st_mode=S_IFDIR|0755, st_size=176, ...}) = 
0
stat64("/usr/lib/xmms/Effect/libvoice.so", {st_mode=S_IFREG|0644, 
st_size=5064, ...}) = 0
open("/usr/lib/xmms/Effect/libvoice.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240\7\0"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=5064, ...}) = 0
old_mmap(NULL, 8128, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x410ad000
old_mmap(0x410ae000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 0) 
= 0x410ae000
close(8)                                = 0
stat64("/usr/lib/xmms/Effect/libstereo.so", {st_mode=S_IFREG|0644, 
st_size=8620, ...}) = 0
open("/usr/lib/xmms/Effect/libstereo.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\r\0"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=8620, ...}) = 0
old_mmap(NULL, 11692, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x410af000
old_mmap(0x410b1000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 
0x1000) = 0x410b1000
close(8)                                = 0
stat64("/usr/lib/xmms/Effect/libecho.so", {st_mode=S_IFREG|0644, 
st_size=12400, ...}) = 0
open("/usr/lib/xmms/Effect/libecho.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20\24\0"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=12400, ...}) = 0
old_mmap(NULL, 15504, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x410b2000
old_mmap(0x410b5000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 
0x2000) = 0x410b5000
close(8)                                = 0
getdents64(7, /* 0 entries */, 131072)  = 0
close(7)                                = 0
open("/usr/lib/xmms/General", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 7
fstat64(7, {st_mode=S_IFDIR|0755, st_size=144, ...}) = 0
fcntl64(7, F_SETFD, FD_CLOEXEC)         = 0
getdents64(7, /* 5 entries */, 131072)  = 152
stat64("/usr/lib/xmms/General/.", {st_mode=S_IFDIR|0755, st_size=144, ...}) = 
0
stat64("/usr/lib/xmms/General/..", {st_mode=S_IFDIR|0755, st_size=176, ...}) = 
0
stat64("/usr/lib/xmms/General/libjoy.so", {st_mode=S_IFREG|0644, 
st_size=25432, ...}) = 0
open("/usr/lib/xmms/General/libjoy.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\37\0\000"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=25432, ...}) = 0
old_mmap(NULL, 28544, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x410b6000
old_mmap(0x410bc000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 
0x5000) = 0x410bc000
close(8)                                = 0
stat64("/usr/lib/xmms/General/libsong_change.so", {st_mode=S_IFREG|0644, 
st_size=17292, ...}) = 0
open("/usr/lib/xmms/General/libsong_change.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\31\0"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=17292, ...}) = 0
old_mmap(NULL, 20388, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x410bd000
old_mmap(0x410c1000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 
0x3000) = 0x410c1000
close(8)                                = 0
stat64("/usr/lib/xmms/General/libir.so", {st_mode=S_IFREG|0644, 
st_size=32144, ...}) = 0
open("/usr/lib/xmms/General/libir.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240$\0"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=32144, ...}) = 0
old_mmap(NULL, 35956, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x410c2000
old_mmap(0x410ca000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 
0x7000) = 0x410ca000
close(8)                                = 0
getdents64(7, /* 0 entries */, 131072)  = 0
close(7)                                = 0
open("/usr/lib/xmms/Visualization", O_RDONLY|O_NONBLOCK|O_LARGEFILE|
O_DIRECTORY) = 7
fstat64(7, {st_mode=S_IFDIR|0755, st_size=152, ...}) = 0
fcntl64(7, F_SETFD, FD_CLOEXEC)         = 0
getdents64(7, /* 5 entries */, 131072)  = 160
stat64("/usr/lib/xmms/Visualization/.", {st_mode=S_IFDIR|0755, 
st_size=152, ...}) = 0
stat64("/usr/lib/xmms/Visualization/..", {st_mode=S_IFDIR|0755, 
st_size=176, ...}) = 0
stat64("/usr/lib/xmms/Visualization/libbscope.so", {st_mode=S_IFREG|0644, 
st_size=35024, ...}) = 0
open("/usr/lib/xmms/Visualization/libbscope.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 \30\0\000"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=35024, ...}) = 0
old_mmap(NULL, 67624, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x410cb000
old_mmap(0x410d3000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 
0x8000) = 0x410d3000
old_mmap(0x410d4000, 30760, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_ANONYMOUS, -1, 0) = 0x410d4000
close(8)                                = 0
stat64("/usr/lib/xmms/Visualization/libsanalyzer.so", {st_mode=S_IFREG|0644, 
st_size=30960, ...}) = 0
open("/usr/lib/xmms/Visualization/libsanalyzer.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\23\0\000"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=30960, ...}) = 0
old_mmap(NULL, 34128, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x410dc000
old_mmap(0x410e4000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 
0x7000) = 0x410e4000
close(8)                                = 0
stat64("/usr/lib/xmms/Visualization/libogl_spectrum.so", {st_mode=S_IFREG|
0644, st_size=18480, ...}) = 0
open("/usr/lib/xmms/Visualization/libogl_spectrum.so", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\36"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0644, st_size=18480, ...}) = 0
old_mmap(NULL, 22704, PROT_READ|PROT_EXEC, MAP_PRIVATE, 8, 0) = 0x410e5000
old_mmap(0x410ea000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 8, 
0x4000) = 0x410ea000
close(8)                                = 0
open("/opt/qt-copy/lib/libGL.so.1", O_RDONLY) = -1 ENOENT (No such file or 
directory)
open("/opt/kde3/lib/libGL.so.1", O_RDONLY) = -1 ENOENT (No such file or 
directory)
open("/usr/X11R6/lib/libGL.so.1", O_RDONLY) = -1 ENOENT (No such file or 
directory)
open("/usr/lib/tls/libGL.so.1", O_RDONLY) = 8
read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\252\2"..., 512) = 
512
fstat64(8, {st_mode=S_IFREG|0755, st_size=430820, ...}) = 0
writev(2, [{"Inconsistency detected by ld.so:"..., 33}, 
{"../sysdeps/generic/dl-tls.c", 27}, {": ", 2}, {"72", 2}, {": ", 2}, 
{"_dl_next_tls_modid", 18}, {": ", 2}, {"Assertion `", 11}, {"result <= 
_rtld_local._dl_tls_ma"..., 41}, {"\' failed!\n", 10}], 10Inconsistency 
detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: _dl_next_tls_modid: 
Assertion `result <= _rtld_local._dl_tls_max_dtv_idx' failed!
) = 148
exit_group(127)                         = ?


> Regards,
> -- gotom

thanks
Felix



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #61 received at 219352@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Felix Seeger <felix.seeger@gmx.de>, 219352@bugs.debian.org
Cc: GOTO Masanori <gotom@debian.or.jp>, Juergen Kreileder <jk@blackdown.de>, Jeff Bailey <jbailey@nisa.net>
Subject: Re: Bug#219352: xmms libc crash
Date: Wed, 12 Nov 2003 22:12:46 -0500
On Thu, Nov 13, 2003 at 02:54:40AM +0100, Felix Seeger wrote:
> open("/usr/lib/tls/libGL.so.1", O_RDONLY) = 8
> read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\252\2"..., 512) = 
> 512
> fstat64(8, {st_mode=S_IFREG|0755, st_size=430820, ...}) = 0
> writev(2, [{"Inconsistency detected by ld.so:"..., 33}, 
> {"../sysdeps/generic/dl-tls.c", 27}, {": ", 2}, {"72", 2}, {": ", 2}, 
> {"_dl_next_tls_modid", 18}, {": ", 2}, {"Assertion `", 11}, {"result <= 
> _rtld_local._dl_tls_ma"..., 41}, {"\' failed!\n", 10}], 10Inconsistency 
> detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: _dl_next_tls_modid: 
> Assertion `result <= _rtld_local._dl_tls_max_dtv_idx' failed!
> ) = 148
> exit_group(127)                         = ?

Then this bug is almost certainly related to the nvidia-glx drivers. 
Either as a libc bug or a TLS problem; it's hard to say without
investigating more but that may let Goto-san reproduce it?

-- 
Daniel Jacobowitz
MontaVista Software                         Debian GNU/Linux Developer



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Felix Seeger <felix.seeger@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 219352@bugs.debian.org (full text, mbox):

From: Felix Seeger <felix.seeger@gmx.de>
To: Daniel Jacobowitz <dan@debian.org>, 219352@bugs.debian.org
Cc: GOTO Masanori <gotom@debian.or.jp>, Juergen Kreileder <jk@blackdown.de>, Jeff Bailey <jbailey@nisa.net>
Subject: Re: Bug#219352: xmms libc crash
Date: Thu, 13 Nov 2003 05:52:05 +0100
On Thursday 13 November 2003 04:12, Daniel Jacobowitz wrote:
> On Thu, Nov 13, 2003 at 02:54:40AM +0100, Felix Seeger wrote:
> > open("/usr/lib/tls/libGL.so.1", O_RDONLY) = 8
> > read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\252\2"..., 512)
> > = 512
> > fstat64(8, {st_mode=S_IFREG|0755, st_size=430820, ...}) = 0
> > writev(2, [{"Inconsistency detected by ld.so:"..., 33},
> > {"../sysdeps/generic/dl-tls.c", 27}, {": ", 2}, {"72", 2}, {": ", 2},
> > {"_dl_next_tls_modid", 18}, {": ", 2}, {"Assertion `", 11}, {"result <=
> > _rtld_local._dl_tls_ma"..., 41}, {"\' failed!\n", 10}], 10Inconsistency
> > detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: _dl_next_tls_modid:
> > Assertion `result <= _rtld_local._dl_tls_max_dtv_idx' failed!
> > ) = 148
> > exit_group(127)                         = ?
>
> Then this bug is almost certainly related to the nvidia-glx drivers.
> Either as a libc bug or a TLS problem; it's hard to say without
> investigating more but that may let Goto-san reproduce it?

Yes, if I move libGL.so... to another place I get:
libmikmod.so.2: cannot open shared object file: No such file or directory
/usr/lib/tls/libGLcore.so.1: undefined symbol: __gl_tls_var0
/usr/lib/tls/libGLcore.so.1: undefined symbol: __gl_tls_var0

But xmms starts.

strings /usr/lib/tls/libGLcore.so.1 | grep nvidia
nvidia id: NVIDIA OpenGL Core Shared Library (libGLcore) (ELF TLS)  1.0-4496  
Wed Jul 16 19:52:36 PDT 2003

thanks
Felix




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 219352@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: control@bugs.debian.org, Felix Seeger <felix.seeger@gmx.de>, 219352@bugs.debian.org
Cc: Daniel Jacobowitz <dan@debian.org>, GOTO Masanori <gotom@debian.or.jp>, Juergen Kreileder <jk@blackdown.de>, Jeff Bailey <jbailey@nisa.net>
Subject: Re: Bug#219352: xmms libc crash
Date: Sat, 15 Nov 2003 12:13:28 +0900
reassign 219352 nvidia-graphics-drivers
thanks

At Thu, 13 Nov 2003 05:52:05 +0100,
Felix Seeger wrote:
> On Thursday 13 November 2003 04:12, Daniel Jacobowitz wrote:
> > On Thu, Nov 13, 2003 at 02:54:40AM +0100, Felix Seeger wrote:
> > > open("/usr/lib/tls/libGL.so.1", O_RDONLY) = 8
> > > read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\252\2"..., 512)
> > > = 512
> > > fstat64(8, {st_mode=S_IFREG|0755, st_size=430820, ...}) = 0
> > > writev(2, [{"Inconsistency detected by ld.so:"..., 33},
> > > {"../sysdeps/generic/dl-tls.c", 27}, {": ", 2}, {"72", 2}, {": ", 2},
> > > {"_dl_next_tls_modid", 18}, {": ", 2}, {"Assertion `", 11}, {"result <=
> > > _rtld_local._dl_tls_ma"..., 41}, {"\' failed!\n", 10}], 10Inconsistency
> > > detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: _dl_next_tls_modid:
> > > Assertion `result <= _rtld_local._dl_tls_max_dtv_idx' failed!
> > > ) = 148
> > > exit_group(127)                         = ?
> >
> > Then this bug is almost certainly related to the nvidia-glx drivers.
> > Either as a libc bug or a TLS problem; it's hard to say without
> > investigating more but that may let Goto-san reproduce it?
> 
> Yes, if I move libGL.so... to another place I get:
> libmikmod.so.2: cannot open shared object file: No such file or directory
> /usr/lib/tls/libGLcore.so.1: undefined symbol: __gl_tls_var0
> /usr/lib/tls/libGLcore.so.1: undefined symbol: __gl_tls_var0
> 
> But xmms starts.

Oh, good point, Dan!  I have no NVidia cards because of its binary
driver problem, so I can't investigate it more.

> strings /usr/lib/tls/libGLcore.so.1 | grep nvidia
> nvidia id: NVIDIA OpenGL Core Shared Library (libGLcore) (ELF TLS)  1.0-4496  
> Wed Jul 16 19:52:36 PDT 2003

Is this the latest package?

BTW, this is binary driver... so it's hard to track this more.  I
reassign this bug to nvidia-graphics-drivers, because I think this
package maintainer knows more about this problem.

Regards,
-- gotom





Bug reassigned from package `libc6' to `nvidia-graphics-drivers'. Request was from GOTO Masanori <gotom@debian.or.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Felix Seeger <felix.seeger@gmx.de>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #78 received at 219352@bugs.debian.org (full text, mbox):

From: Felix Seeger <felix.seeger@gmx.de>
To: GOTO Masanori <gotom@debian.or.jp>, control@bugs.debian.org, 219352@bugs.debian.org
Cc: Daniel Jacobowitz <dan@debian.org>, Juergen Kreileder <jk@blackdown.de>, Jeff Bailey <jbailey@nisa.net>
Subject: Re: Bug#219352: xmms libc crash
Date: Sat, 15 Nov 2003 11:52:36 +0100
On Saturday 15 November 2003 04:13, GOTO Masanori wrote:
> reassign 219352 nvidia-graphics-drivers
> thanks
>
> At Thu, 13 Nov 2003 05:52:05 +0100,
>
> Felix Seeger wrote:
> > On Thursday 13 November 2003 04:12, Daniel Jacobowitz wrote:
> > > On Thu, Nov 13, 2003 at 02:54:40AM +0100, Felix Seeger wrote:
> > > > open("/usr/lib/tls/libGL.so.1", O_RDONLY) = 8
> > > > read(8, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\252\2"...,
> > > > 512) = 512
> > > > fstat64(8, {st_mode=S_IFREG|0755, st_size=430820, ...}) = 0
> > > > writev(2, [{"Inconsistency detected by ld.so:"..., 33},
> > > > {"../sysdeps/generic/dl-tls.c", 27}, {": ", 2}, {"72", 2}, {": ", 2},
> > > > {"_dl_next_tls_modid", 18}, {": ", 2}, {"Assertion `", 11}, {"result
> > > > <= _rtld_local._dl_tls_ma"..., 41}, {"\' failed!\n", 10}],
> > > > 10Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72:
> > > > _dl_next_tls_modid: Assertion `result <=
> > > > _rtld_local._dl_tls_max_dtv_idx' failed! ) = 148
> > > > exit_group(127)                         = ?
> > >
> > > Then this bug is almost certainly related to the nvidia-glx drivers.
> > > Either as a libc bug or a TLS problem; it's hard to say without
> > > investigating more but that may let Goto-san reproduce it?
> >
> > Yes, if I move libGL.so... to another place I get:
> > libmikmod.so.2: cannot open shared object file: No such file or directory
> > /usr/lib/tls/libGLcore.so.1: undefined symbol: __gl_tls_var0
> > /usr/lib/tls/libGLcore.so.1: undefined symbol: __gl_tls_var0
> >
> > But xmms starts.
>
> Oh, good point, Dan!  I have no NVidia cards because of its binary
> driver problem, so I can't investigate it more.
>
> > strings /usr/lib/tls/libGLcore.so.1 | grep nvidia
> > nvidia id: NVIDIA OpenGL Core Shared Library (libGLcore) (ELF TLS) 
> > 1.0-4496 Wed Jul 16 19:52:36 PDT 2003
>
> Is this the latest package?
This is not from the debian package, but yes, the latest with a patch to work 
with 2.6.0-test9.

> BTW, this is binary driver... so it's hard to track this more.  I
> reassign this bug to nvidia-graphics-drivers, because I think this
> package maintainer knows more about this problem.

Since exec of /lib/libc.so.6 also fails even if the nvidia files are away:
Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion 
`_rtld_local._dl_rtld_map.l_prev->l_next == _rtld_local._dl_rtld_map.l_next' 
failed!

And since qt designer segfaults when using a klineedit widget from kde I am 
not sure if this is only an nvidia problem.

I cannot reproduce all this things on a 2.4.* installation with same libc.

> Regards,
> -- gotom

have fun
Felix



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Randall Donald <randy@khensu.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #83 received at 219352@bugs.debian.org (full text, mbox):

From: Randall Donald <randy@khensu.org>
To: 219352@bugs.debian.org, 219352-submitter@bugs.debian.org
Subject: Bug#219352: xmms libc crash
Date: Fri, 28 Nov 2003 21:31:00 -0800
Does this still happen under nvidia-glx 1.0.4496-10 ?

randy
-- 
--------------------------------------------
Randall Donald             randy@khensu.org
http://www.khensu.org    rdonald@debian.org
Programmer/Debian Developer GnuPG: 6C27DEAB                   	
--------------------------------------------



Message sent on to Luca Corti <luca.corti@infinito.it>:
Bug#219352. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to luca.corti@infinito.it:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #91 received at 219352@bugs.debian.org (full text, mbox):

From: Luca <luca.corti@infinito.it>
To: Randall Donald <randy@khensu.org>, 219352-quiet@bugs.debian.org
Cc: 219352@bugs.debian.org, 219352-submitter@bugs.debian.org
Subject: Re: Bug#219352: xmms libc crash
Date: Wed, 03 Dec 2003 20:14:03 +0100
On Sat, 2003-11-29 at 06:31, Randall Donald wrote:
> Does this still happen under nvidia-glx 1.0.4496-10 ?

Still fail. Now I'm on 2.6.0-test11 with a GeForce FX 5600.

libmikmod.so.2: cannot open shared object file: No such file or
directory
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72:
_dl_next_tls_modid: Assertion `result <=
_rtld_local._dl_tls_max_dtv_idx' failed!


thanks

Luca




Information stored:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to luca.corti@infinito.it:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to Luca Corti <luca.corti@infinito.it>:
Bug#219352. Full text and rfc822 format available.

Merged 219352 219962 220993. Request was from Randall Donald <rdonald@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 219352 219962 220993 223899. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 219352 219962 220993 223899 224908. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 219352 219962 220993 223899 224908 225261. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Joern Heissler <joern@heissler.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Joern Heissler <joern@heissler.de> Request was from Joern Heissler <joern@heissler.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Randall Donald <rdonald@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Fisher <fisher@fisher.hu>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #124 received at 219352@bugs.debian.org (full text, mbox):

From: Fisher <fisher@fisher.hu>
To: 219352@bugs.debian.org
Subject: xmms can't start
Date: Wed, 14 Jan 2004 11:53:44 +0100
I also faced this problem. apt-getting the libmikmod2 solved the 
problem. xmms .deb version: 1.2.8-2, today's sid.





Disconnected #224908 from all other report(s). Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 219352 219962 220993 223899 225261 227215. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Martin Schuster <Leto@tabr.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #133 received at 219352@bugs.debian.org (full text, mbox):

From: Martin Schuster <Leto@tabr.org>
To: 219352@bugs.debian.org
Subject: Same problem, even with libmikmod2
Date: Wed, 4 Feb 2004 12:41:11 +0100
[Message part 1 (text/plain, inline)]
I have the same problem, apt-get install libmikmod2  didn't help.

$ xmms
Gdk-WARNING **: locale not supported by Xlib, locale set to C
/usr/lib/xmms/Input/libxmms-flac.so: undefined symbol:
FLAC__metadata_object_cuesheet_insert_blank_track
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72:
_dl_next_tls_modid: Assertion `result <= _rtld_local._dl_tls_max_dtv_idx' failed!

Kernel 2.6.1
Athlon XP 2000+
libc6              2.3.2.ds1-11
libc6-i686         2.3.2.ds1-11
nvidia-glx         1.0.5336-3
nvidia-kernel-2.6. 1.0.5336-3
nvidia-kernel-comm 1.0.5336-1
xmms               1.2.9-1
libmikmod2         3.1.10-5

Last few lines of strace:
open("/usr/lib/tls/libGL.so.1", O_RDONLY)                   = 9
read(9, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\235"...,
	512) = 512
lseek(9, 307260, SEEK_SET)                                  = 307260
read(9, "\4\0\0\0\20\0\0\0\1\0\0\0GNU\0\0\0\0\0\2\0\0\0\3\0\0\0"..., 32)
= 32
fstat64(9, {st_mode=S_IFREG|0644, st_size=364460, ...})     = 0
writev(2, [{"Inconsistency detected by ld.so:"...

It _does_ work with
$ LD_ASSUME_KERNEL=2.4.1 xmms
Gdk-WARNING **: locale not supported by Xlib, locale set to C
/usr/lib/xmms/Input/libxmms-flac.so: undefined symbol:
FLAC__metadata_object_cuesheet_insert_blank_track
libGL.so.1: cannot handle TLS data
libGL.so.1: cannot handle TLS data


I also get:

$ /lib/ld-2.3.2.so /lib/libc-2.3.2.so
Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion
`_rtld_local._dl_rtld_map.l_prev->l_next == _rtld_local._dl_rtld_map.l_next' failed!

-- 
+------------------------------------------------------------------* .-.
|            Martin Schuster            Microsoft is not the answer  /v\
| <Leto@tabr.org>  http://www.tabr.org/  Microsoft is the question  // \\
|  <Douglas@karanet.at>  ICQ# 20511117    "Linux!"  is the answer  /(   )\
+--------------------------------------------------------------*    ^^-^^
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Robert Ames <ramses0@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #138 received at 219352@bugs.debian.org (full text, mbox):

From: Robert Ames <ramses0@yahoo.com>
To: 219352@bugs.debian.org
Subject: reproduced, mikmod2 fixes
Date: Sun, 7 Mar 2004 21:57:19 -0800 (PST)
I also had this problem.  Apt-get installing libmikmod2 did fix
the problem (can now start up xmms).  I also have nvidia drivers
with TLS and kernel 2.6.3, however I ended up using the nVidia
kernerl package (installme.run.sh, not the .deb's or
make-kpackage setups).  Like I said, after the apt-get install
libmikmod2 everything works, and I don't have much experience
with diagnosing these kind of C/library interactions, but wanted
to log my experience as well.

Thanks! (glad to get xmms working again, all the other music
players stink worse ;^)

--Robert

rames@spike:~$ xmms
libmikmod.so.2: cannot open shared object file: No such file or
directory
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c:
72: _dl_next_tls_modid: Assertion `result <=
_rtld_local._dl_tls_max_dtv_idx' failed!


The following NEW packages will be installed:
  libmikmod2





Reply sent to Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luca Corti <luca.corti@infinito.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #143 received at 219962-done@bugs.debian.org (full text, mbox):

From: Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>
To: 219962-done@bugs.debian.org
Subject: Close
Date: Thu, 18 Mar 2004 18:36:51 +0100
xmms works here like a charm. Must have been an nvidio Problem or
something...

-- 
Ralf Hildebrandt (Im Auftrag des Referat V a)   Ralf.Hildebrandt@charite.de
Charite - Universitätsmedizin Berlin            Tel.  +49 (0)30-450 570-155
Gemeinsame Einrichtung von FU- und HU-Berlin    Fax.  +49 (0)30-450 570-916
IT-Zentrum Standort Campus Mitte                          AIM.  ralfpostfix



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Luca Corti <luca.corti@infinito.it>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #148 received at 219352@bugs.debian.org (full text, mbox):

From: Luca Corti <luca.corti@infinito.it>
To: Debian Bug Tracking System <219352@bugs.debian.org>
Subject: Closed ?!?
Date: Thu, 18 Mar 2004 20:36:12 +0100
Package: nvidia-graphics-drivers
Severity: normal
Followup-For: Bug #219352

Hi,

Hi,The bug with linux-2.6/xmms/libmikmod2/nvidia is a long standing
issue I can reproduce on a large number of installations.
I don't think closing it without further investigation is a good idea.

BTW, isn't closing the bug a responsibility of the package maintainer?

thanks

Luca

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.4-1-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Thomas Petazzoni <thomas.petazzoni@enix.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #153 received at 219352@bugs.debian.org (full text, mbox):

From: Thomas Petazzoni <thomas.petazzoni@enix.org>
To: 219352@bugs.debian.org
Subject: Bug still reproducible using 2.6.4
Date: Sat, 27 Mar 2004 13:25:05 +0100
Hello,

Here, with kernel 2.6.4, Nvidia drivers 5336 (installed from Nvidia
binary, not debian package), xmms 1.2.10-1, I still have the bug, even
if libmikmod2 3.1.11-2 is installed.

thomas@crazy:~$ xmms
libstdc++-libc6.1-2.so.3: Ne peut ouvrir le fichier d'objet partagé:
Aucun fichier ou répertoire de ce type Inconsistency detected by ld.so:
../sysdeps/generic/dl-tls.c: 72: _dl_next_tls_modid: Assertion `result
<= _rtld_local._dl_tls_max_dtv_idx' failed!

Last lines of strace :

open("/usr/lib/tls/libGL.so.1", O_RDONLY) = 9
read(9, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\235"...,
512) = 512 lseek(9, 307260, SEEK_SET)              = 307260
read(9, "\4\0\0\0\20\0\0\0\1\0\0\0GNU\0\0\0\0\0\2\0\0\0\3\0\0\0"..., 32)
= 32 fstat64(9, {st_mode=S_IFREG|0755, st_size=367332, ...}) = 0
writev(2, [{"Inconsistency detected by ld.so:"..., 33},
{"../sysdeps/generic/dl-tls.c", 27}, {": ", 2}, {"72", 2}, {": ", 2},
{"_dl_next_tls_modid", 18}, {": ", 2}, {"Assertion `", 11}, {"result <=
_rtld_local._dl_tls_ma"..., 41}, {"\' failed!\n", 10}], 10Inconsistency
detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: _dl_next_tls_modid:
Assertion `result <= _rtld_local._dl_tls_max_dtv_idx' failed!) = 148
exit_group(127)                         = ?

Thomas
-- 
PETAZZONI Thomas - thomas.petazzoni@enix.org 
http://thomas.enix.org - Jabber: kos_tom@sourcecode.de
KOS: http://kos.enix.org/ - Lolut: http://lolut.utbm.info
Fingerprint : 0BE1 4CF3 CEA4 AC9D CC6E  1624 F653 CB30 98D3 F7A7



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Thomas Petazzoni <thomas.petazzoni@enix.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #158 received at 219352@bugs.debian.org (full text, mbox):

From: Thomas Petazzoni <thomas.petazzoni@enix.org>
To: 219352@bugs.debian.org
Subject: Bug disapeared after removal of ~/.xmms/
Date: Sat, 27 Mar 2004 13:52:01 +0100
[Message part 1 (text/plain, inline)]
Hello,

Following my previous mail regarding xmms crash, I tried to remove
~/.xmms/, and it now allows xmms to work correctly. So the crash seems
to be related to a particular configuration of xmms.

Thomas
-- 
PETAZZONI Thomas - thomas.petazzoni@enix.org 
http://thomas.enix.org - Jabber: kos_tom@sourcecode.de
KOS: http://kos.enix.org/ - Lolut: http://lolut.utbm.info
Fingerprint : 0BE1 4CF3 CEA4 AC9D CC6E  1624 F653 CB30 98D3 F7A7
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Martin Schuster <Douglas@karanet.at>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #163 received at 219352@bugs.debian.org (full text, mbox):

From: Martin Schuster <Douglas@karanet.at>
To: 219352@bugs.debian.org
Subject: Bug still present; maybe not xmms-related?
Date: Thu, 1 Apr 2004 14:01:24 +0200
[Message part 1 (text/plain, inline)]
ok, I'm running current xmms, libmikmod2 and libc6 (2.3.2.ds1-11)
xmms still crashes when starting with
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72:
_dl_next_tls_modid: Assertion `result <= _rtld_local._dl_tls_max_dtv_idx' failed!
even when removing ~/.xmms

but: calling
/lib/ld-2.3.2.so /lib/libc-2.3.2.so
gives (another) inconsistency:
Inconsistency detected by ld.so: rtld.c: 1259: dl_main: Assertion
`_rtld_local._dl_rtld_map.l_prev->l_next == _rtld_local._dl_rtld_map.l_next' failed!

so I'm not sure anymore that this bug
is nvidia-related, xmms-related or related to any other package than
libc6 itself.

My guess is that xmms-plugins using OpenGL load the nvidia-libs, which
in turn use libc6 in a way that reveals that bug.

Maybe this bug should be reassigned to libc6?

-- 
+------------------------------------------------------------------* .-.
|            Martin Schuster            Microsoft is not the answer  /v\
| <Leto@tabr.org>  http://www.tabr.org/  Microsoft is the question  // \\
|  <Douglas@karanet.at>  ICQ# 20511117    "Linux!"  is the answer  /(   )\
+--------------------------------------------------------------*    ^^-^^
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Martin Schuster <Douglas@karanet.at>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #168 received at 219352@bugs.debian.org (full text, mbox):

From: Martin Schuster <Douglas@karanet.at>
To: 219352@bugs.debian.org
Subject: Problem "solved"
Date: Thu, 1 Apr 2004 16:23:25 +0200
[Message part 1 (text/plain, inline)]
The problem is CBFM if I  apt-get remove xmms-flac  (version 1.1.0-10)
no idea why, though.

xmms is now working, installed versions of it and its plugins:

ii  xmms           1.2.10-1       Versatile X audio player that looks like Win
ii  xmms-alarm     0.3.5          xmms general plugin for using xmms as an ala
ii  xmms-bumpscope 0.0.3.release- Bump Scope visualization plugin for XMMS
ii  xmms-cdread    0.14a-10.1     Input plugin for XMMS that reads audio data 
ii  xmms-crossfade 0.3.4-1        XMMS Plugin for Crossfading / Continuous Out
ii  xmms-dbmix     0.9.8-4        XMMS output interface to the DBMix audio sys
ii  xmms-dev       1.2.10-1       XMMS development static library and header f
ii  xmms-goodnight 0.3.2-1        XMMS plugin to stop playing at a given time
ii  xmms-goom      1.99.4-3       visualization plug-in for XMMS with a variet
ii  xmms-infinity  0.2-6          A full-screen visualisation effect for XMMS
ii  xmms-infopipe  1.3-3          General plugin for XMMS, reports real-time i
ii  xmms-iris      0.11-5         advanced OpenGL visualization plugin for XMM
ii  xmms-jess      2.9.1-5        An XMMS visualization plugin using various 2
ii  xmms-kjofol    0.95.0debian3- XMMS remote that uses K-Jofol's skins
ii  xmms-ladspa    0.7-2          power XMMS with the Linux Audio Developer's 
ii  xmms-lirc      1.4-1          Linux Infrared Remote Control for XMMS
ii  xmms-modplug   2.04-2         ModPlug plugin for XMMS
ii  xmms-msa       0.5.5-4        spectrum analyzer plugin for XMMS with skin 
ii  xmms-normalize 0.7.6-3        Volume level normalization plugin for XMMS
ii  xmms-osd-plugi 2.2.7-1        XMMS plugin using xosd
ii  xmms-shell     0.99.3-1       XMMS Shell - Interface to control XMMS from 
ii  xmms-sid       0.7.4+0.8.0bet Input plugin for XMMS that plays SID (C64) t
ii  xmms-singit    0.1.27-0.3     Display and edit lyrics with XMMS
ii  xmms-status-pl 1.0.0-1        Status panel applet for XMMS
ii  xmms-synaesthe 0.0.3-7        Synaesthesia visualization plugin for XMMS
ii  xmms-volnorm   0.8.1-2        XMMS plugin that gives all songs the same vo
ii  xmms-wmdiscotu 1.3-2          Tux dancing to the music played by xmms

Thanks to Ralf for giving me the crucial hint.

Instead of closing this bug it maybe should be reassigned to xmms-flac
and/or cloned as a libc6-bug (see the Inconsistency-error).

-- 
+------------------------------------------------------------------* .-.
|            Martin Schuster            Microsoft is not the answer  /v\
| <Leto@tabr.org>  http://www.tabr.org/  Microsoft is the question  // \\
|  <Douglas@karanet.at>  ICQ# 20511117    "Linux!"  is the answer  /(   )\
+--------------------------------------------------------------*    ^^-^^
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #173 received at 219352@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Martin Schuster <Douglas@karanet.at>, 219352@bugs.debian.org
Subject: Re: Bug#219352: Problem "solved"
Date: Thu, 1 Apr 2004 09:19:38 -0800
On Thu, Apr 01, 2004 at 04:23:25PM +0200, Martin Schuster wrote:

> The problem is CBFM if I  apt-get remove xmms-flac  (version 1.1.0-10)
> no idea why, though.
> 
> xmms is now working, installed versions of it and its plugins:
> 
> ii  xmms           1.2.10-1       Versatile X audio player that looks like Win
> ii  xmms-alarm     0.3.5          xmms general plugin for using xmms as an ala
> ii  xmms-bumpscope 0.0.3.release- Bump Scope visualization plugin for XMMS
> ii  xmms-cdread    0.14a-10.1     Input plugin for XMMS that reads audio data 
> ii  xmms-crossfade 0.3.4-1        XMMS Plugin for Crossfading / Continuous Out
> ii  xmms-dbmix     0.9.8-4        XMMS output interface to the DBMix audio sys
> ii  xmms-dev       1.2.10-1       XMMS development static library and header f
> ii  xmms-goodnight 0.3.2-1        XMMS plugin to stop playing at a given time
> ii  xmms-goom      1.99.4-3       visualization plug-in for XMMS with a variet
> ii  xmms-infinity  0.2-6          A full-screen visualisation effect for XMMS
> ii  xmms-infopipe  1.3-3          General plugin for XMMS, reports real-time i
> ii  xmms-iris      0.11-5         advanced OpenGL visualization plugin for XMM
> ii  xmms-jess      2.9.1-5        An XMMS visualization plugin using various 2
> ii  xmms-kjofol    0.95.0debian3- XMMS remote that uses K-Jofol's skins
> ii  xmms-ladspa    0.7-2          power XMMS with the Linux Audio Developer's 
> ii  xmms-lirc      1.4-1          Linux Infrared Remote Control for XMMS
> ii  xmms-modplug   2.04-2         ModPlug plugin for XMMS
> ii  xmms-msa       0.5.5-4        spectrum analyzer plugin for XMMS with skin 
> ii  xmms-normalize 0.7.6-3        Volume level normalization plugin for XMMS
> ii  xmms-osd-plugi 2.2.7-1        XMMS plugin using xosd
> ii  xmms-shell     0.99.3-1       XMMS Shell - Interface to control XMMS from 
> ii  xmms-sid       0.7.4+0.8.0bet Input plugin for XMMS that plays SID (C64) t
> ii  xmms-singit    0.1.27-0.3     Display and edit lyrics with XMMS
> ii  xmms-status-pl 1.0.0-1        Status panel applet for XMMS
> ii  xmms-synaesthe 0.0.3-7        Synaesthesia visualization plugin for XMMS
> ii  xmms-volnorm   0.8.1-2        XMMS plugin that gives all songs the same vo
> ii  xmms-wmdiscotu 1.3-2          Tux dancing to the music played by xmms
> 
> Thanks to Ralf for giving me the crucial hint.
> 
> Instead of closing this bug it maybe should be reassigned to xmms-flac
> and/or cloned as a libc6-bug (see the Inconsistency-error).

Perhaps there is a conflict between xmms-flac and one of the other plugins.
If you add it back and remove other plugins, does xmms work?  You can rename
the files temporarily in /usr/lib/xmms to avoid uninstalling and
reinstalling a lot of package.

-- 
 - mdz



Bug reopened, originator not changed. Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #219352 from all other report(s). Request was from Randall Donald <rdonald@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <rt@cafe.chummer.net>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #182 received at 219352@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <rt@cafe.chummer.net>
To: 219352@bugs.debian.org
Subject: does it really depend on xmms-flac?
Date: Mon, 12 Apr 2004 23:34:32 +0200
I am seeing this bug with the following packages installed:

rt@chummer13:~
>> dpkg --get-selections| grep xmms
xmms                                            install
xmms-cdread                                     install
xmms-wmdiscotux                                 install

No other xmms-plugins are installed.

The bug dissapears right after setting LD_ASSUME_KERNEL=2.4.25, OR
installing the package libmikmod2. I am using kernel 2.6.5 and debian
sarge.

regards,
	Reinhard





Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Domain Admin <dominic@computerkb.co.uk>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #187 received at 219352@bugs.debian.org (full text, mbox):

From: Domain Admin <dominic@computerkb.co.uk>
To: 219352@bugs.debian.org
Subject: Re: Bug#219352: xmms libc crash
Date: Mon, 31 May 2004 14:45:05 +0000
Just a note to say I had this problem after upgrading to a custom 2.6.5 kernel
from the stock 2.4.25.  When I ran XMMS I would get the error message:

dominic@zinc:~$ xmms
libmikmod.so.2: cannot open shared object file: No such file or directory
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72:
_dl_next_tls_modid: Assertion `result <= _rtld_local._dl_tls_max_dtv_idx'
failed!

As suggested, I installed libmikmod2 and it now works like a dream. To help
anyone track this down, below are some details:

Custom 2.6.5 kernel (K7 x86), with no nvidia module/source packages *at all*
Nvidia binary driver (build 5336 from website) installed after
XMMS version 1.2.10-1
libc6 version 2.3.2.dsl-11
Nvidia GeForce4 MX440 chip on a Leadtek video card

If any more details are required, please e-mail me direct.

-- 
Dominic Cleal
dominic@computerkb.co.uk




Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bonifas <nicolas.bonifas@free.fr>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #192 received at 219352@bugs.debian.org (full text, mbox):

From: Nicolas Bonifas <nicolas.bonifas@free.fr>
To: 219352@bugs.debian.org
Subject: Re: Bug#219352
Date: Tue, 1 Jun 2004 14:06:37 +0200
> The bug dissapears right after setting LD_ASSUME_KERNEL=2.4.25, OR
> installing the package libmikmod2.

libmikmod2 is installed on my computer, but I encounter this bug with all 2.6 
kernels I tried (some from Debian packages, some custom). With 
LD_ASSUME_KERNEL=2.4.25, I can't start the OpenGL spectrum analyzer, although 
OpenGL runs well, because it doesn't display in Xmms' visualisation plugin 
list.
I'm using Debian Sarge, with a custom 2.6.6 kernel, nvidia-glx 1.0.5336-6, 
xmms 1.2.10-1, libc6 2.3.2.ds1-1, libmikmod2 3.1.11-2. I don't have any Xmms 
plugin (except those in package xmms), so the problem is not related to 
xmms-flac. I use a Nvidia GeForce FX 5200 video card.
There are very interesting informations on Xmms' bugzilla: 
http://bugs.xmms.org/show_bug.cgi?id=1386
Regards,
Nicolas



Tags set to: confirmed Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Sam Vilain <sam@vilain.net>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #199 received at 219352@bugs.debian.org (full text, mbox):

From: Sam Vilain <sam@vilain.net>
To: 219352@bugs.debian.org
Subject: This is definitely nothing to do with xmms
Date: Tue, 17 Aug 2004 16:48:37 +1200
I can reproduce this fault starting a (custom or debian-supplied) tora 
(a KDE version of TOAD).

So, this fault demonstrably has nothing to do with xmms :)

However, I *am* using the NVidia kernel drivers (build 5336).  I will 
update this bugreport within 24hrs if I can also reproduce the fault 
without them.

kernel-image-2.6.7-1-k7 2.6.7-2

ii  kdelibs4                    4:3.3.0-1    KDE core libraries
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared 
libraries an
ii  libqt3c102-mt               3:3.3.2-5    Qt GUI Library (Threaded 
runtime v
ii  libqt3c102-mt-odbc          3:3.2.3-4    ODBC database driver for 
Qt3 (Thre
ii  libstdc++5                  1:3.3.4-3    The GNU Standard C++ Library v3


-- 
Sam Vilain, sam /\T vilain |><>T net, PGP key ID: 0x05B52F13
(include my PGP key ID in personal replies to avoid spam filtering)




Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Sam Vilain <sam@vilain.net>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #204 received at 219352@bugs.debian.org (full text, mbox):

From: Sam Vilain <sam@vilain.net>
To: 219352@bugs.debian.org
Subject: Re: This is definitely nothing to do with xmms
Date: Wed, 18 Aug 2004 11:29:50 +1200
Sam Vilain wrote:

> However, I *am* using the NVidia kernel drivers (build 5336).  I will 
> update this bugreport within 24hrs if I can also reproduce the fault 
> without them.


OK, I have isolated this to the libraries in /usr/lib/tls; that is, with 
an untainted kernel, using the "nv" XFree driver, and with "glx" and 
"GLcore" commented out in /etc/X11/XF86Config-4, it still returns the LD 
error.

As soon as I rename /usr/lib/tls to something else, it works.  The 
workaround (LD_ASSUME_KERNEL=2.4.25) works as well.

This was not always the case; it used to be fine - I had an old build of 
tora against KDE 3.2.3 that worked; the new one against KDE 3.3.2 has 
the problem.

Here are all the packages on my system that have been upgraded in this time:

libtemplate-perl: 2.10-1
libexif9: 0.5.12-1
agrep: 2.04-2
libtextwrap1: 0.1-1
zip: 2.30-6
netcat: 1.10-23
openoffice.org-debian-files: 1.1.2-3+1
jackd: 0.98.1-5
libjack0.80.0-dev: 0.98.1-5
libjack0.80.0-0: 0.98.1-5
libffi2: 1:3.3.4-7
libgcc1: 1:3.4.1-5
fastjar: 1:3.4.1-5
libneon24: 0.24.7.dfsg-0.1
libgpg-error0: 1.0-1
libgpg-error-dev: 1.0-1
kdeprint: 4:3.2.3-1
libapr0: 2.0.50-7
libmimelib1: 4:3.2.3-1
libmimelib1-dev: 4:3.2.3-1
libwxgtk2.4: 2.4.2.6
libsvn0: 1.0.6-1
libidn11-dev: 0.5.2-2
libidn11: 0.5.2-2
libpango1.0-common: 1.4.1-1
libpango1.0-0: 1.4.1-1
rapidsvn: 0.6.20040807-1
libqt3-headers: 3:3.3.2-5
libqt3-compat-headers: 3:3.3.2-5
libqt3c102: 3:3.3.2-5
libqt3c102-mysql: 3:3.3.2-5
libqt3c102-mt: 3:3.3.2-5
qt3-dev-tools: 3:3.3.2-5
qt3-designer: 3:3.3.2-5
libqt3-mt-dev: 3:3.3.2-5
libcurl3: 7.12.1-1
libgmp3: 4.1.3-3
dia-common: 0.93-8
dia: 0.93-8
dia-libs: 0.93-8
kdelibs-bin: 4:3.3.0-1
kdelibs4: 4:3.3.0-1
kdelibs4-dev: 4:3.3.0-1
kdelibs-data: 4:3.3.0-1
libartsc0: 1.3.0-1
libartsc0-dev: 1.3.0-1
libarts1: 1.3.0-1
libarts1-dev: 1.3.0-1
liblog4j1.2-java: 1.2.8-6
libmysqlclient12: 4.0.20-11
libxslt1.1: 1.1.8-3

HTH,

-- 
Sam Vilain, sam /\T vilain |><>T net, PGP key ID: 0x05B52F13
(include my PGP key ID in personal replies to avoid spam filtering)




Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219352; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Peter Hawkins <peterh@debian.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #209 received at 219352@bugs.debian.org (full text, mbox):

From: Peter Hawkins <peterh@debian.org>
To: 219352@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Simple test case for xmms/nvidia/TLS bug
Date: Tue, 9 Nov 2004 11:49:09 +1100
[Message part 1 (text/plain, inline)]
reassign 219352 libc6
thanks

Hi...

I also experience this problem when using xmms if the nvidia graphics
drivers are installed but libmikmod is not. I have discovered that the
 problem is not actually to do with xmms or the nvidia drivers, instead it's a glibc bug.

For the problem to occur you need the following situation:
Program prog depends on lib1.so and lib2.so
lib1.so depends on lib4.so, and lib4.so uses thread local storage.
lib2.so depends on lib3.so.
lib3.so should not exist.

If prog attempts to load lib2.so before lib1.so, this bug occurs.
In the case of xmms we have the following:
prog = xmms
lib1.so = libogl_spectrum.so (xmms plugin)
lib2.so = /usr/lib/libGL.so (from nvidia's GL drivers, which use TLS)
lib3.so = libmikmod.so (xmms plugin)
lib4.so = libmikmod.so (from the libmikmod package, which should not be installed to reproduce the bug)

This is demonstrated by the following test case:
peterh@shiny:~/xbug$ export LD_LIBRARY_PATH=".:/usr/local/lib:/usr/X11R6/lib:/usr/lib:/lib"
peterh@shiny:~/xbug$ make clean
rm -f lib[1234].so test_bug
peterh@shiny:~/xbug$ ls
lib1.c  lib2.c  lib3.c  lib4.c  Makefile  test_bug.c
peterh@shiny:~/xbug$ make
gcc test_bug.c -o test_bug -ldl
gcc -shared -o lib4.so lib4.c
gcc -shared -o lib1.so lib1.c lib4.so
gcc -shared -o lib3.so lib3.c
gcc -shared -o lib2.so lib2.c lib3.so
peterh@shiny:~/xbug$ ls
lib1.c   lib2.c   lib3.c   lib4.c   Makefile  test_bug.c
lib1.so  lib2.so  lib3.so  lib4.so  test_bug
peterh@shiny:~/xbug$ ./test_bug
Success!
peterh@shiny:~/xbug$ rm lib3.so
peterh@shiny:~/xbug$ ./test_bug
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: _dl_next_tls_modid: Assertion `result <= _rtld_local._dl_tls_max_dtv_idx' failed!
peterh@shiny:~/xbug$

Relevant package versions:
ii  libc6          2.3.2.ds1-18   GNU C Library: Shared libraries and Timezone
ii  gcc            3.3.4-2        The GNU C compiler
Kernel 2.6.9-rc4, compiled from source

=)
Peter


[xbug.tar.gz (application/x-tgz, attachment)]

Bug reassigned from package `nvidia-graphics-drivers' to `libc6'. Request was from Peter Hawkins <peterh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #216 received at 219352@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: 219352@bugs.debian.org, Peter Hawkins <peterh@debian.org>
Subject: Re: Simple test case for xmms/nvidia/TLS bug
Date: Tue, 23 Nov 2004 12:59:02 -0800
True, the error message is not ideal, but if I understand your test case
correctly, this only happens when there would have been unresolved symbols
anyway.  So surely there is another bug here, no?

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Peter Hawkins <peter@hawkins.emu.id.au>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #221 received at 219352@bugs.debian.org (full text, mbox):

From: Peter Hawkins <peter@hawkins.emu.id.au>
To: Matt Zimmerman <mdz@debian.org>
Cc: 219352@bugs.debian.org
Subject: Re: Simple test case for xmms/nvidia/TLS bug
Date: Wed, 24 Nov 2004 10:19:08 +1100
Hi...
On Wed, 24 Nov 2004 07:59 am, you wrote:
> True, the error message is not ideal, but if I understand your test case
> correctly, this only happens when there would have been unresolved symbols
> anyway.  So surely there is another bug here, no?

Quote from dlopen(3):
       If dlopen() fails for any reason, it returns NULL

The point is that dlopen() causes a glibc assertion, and doesn't just fail 
like it should. Control is never returned to the program.

This matters, since you can have the situation where an xmms plugin is 
installed but its dependencies are not, leading to this highly confusing 
error message and failure when one starts xmms.

=)
Peter



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#219352; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Edward Catmur <ed@catmur.co.uk>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #226 received at 219352@bugs.debian.org (full text, mbox):

From: Edward Catmur <ed@catmur.co.uk>
To: 219352@bugs.debian.org
Subject: Re: Simple test case for xmms/nvidia/TLS bug
Date: Sat, 18 Dec 2004 23:30:43 +0000
Further analysis and tentative (works, but possibly not correct) patch
over on Gentoo bugzilla,
http://bugs.gentoo.org/show_bug.cgi?id=52374#c15

Thanks for the testcase Peter - I wouldn't have been able to narrow it
down without that.




Reply sent to GOTO Masanori <gotom@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luca Corti <luca.corti@infinito.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #231 received at 219352-close@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.org>
To: 219352-close@bugs.debian.org
Subject: Bug#219352: fixed in glibc 2.3.2.ds1-21
Date: Sat, 16 Apr 2005 09:17:24 -0400
Source: glibc
Source-Version: 2.3.2.ds1-21

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.2.ds1-21_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.2.ds1-21_all.deb
glibc_2.3.2.ds1-21.diff.gz
  to pool/main/g/glibc/glibc_2.3.2.ds1-21.diff.gz
glibc_2.3.2.ds1-21.dsc
  to pool/main/g/glibc/glibc_2.3.2.ds1-21.dsc
libc6-dbg_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-dbg_2.3.2.ds1-21_i386.deb
libc6-dev_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-dev_2.3.2.ds1-21_i386.deb
libc6-i686_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-i686_2.3.2.ds1-21_i386.deb
libc6-pic_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-pic_2.3.2.ds1-21_i386.deb
libc6-prof_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6-prof_2.3.2.ds1-21_i386.deb
libc6-udeb_2.3.2.ds1-21_i386.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.2.ds1-21_i386.udeb
libc6_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/libc6_2.3.2.ds1-21_i386.deb
libnss-dns-udeb_2.3.2.ds1-21_i386.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.2.ds1-21_i386.udeb
libnss-files-udeb_2.3.2.ds1-21_i386.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.2.ds1-21_i386.udeb
locales_2.3.2.ds1-21_all.deb
  to pool/main/g/glibc/locales_2.3.2.ds1-21_all.deb
nscd_2.3.2.ds1-21_i386.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-21_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 219352@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
GOTO Masanori <gotom@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 14 Feb 2005 09:26:26 +0900
Source: glibc
Binary: libc6-i686 libc0.3-pic glibc-doc libc1-udeb libc0.3 libc6.1-dev libc1-pic libc6-s390x libnss-files-udeb libc1-dbg libc6-dev-sparc64 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc6-sparcv9 libc6.1-prof libc1 locales libc6-pic libc0.3-udeb libc1-prof libc0.3-dbg libc6-prof libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc1-dev libc6-dev-s390x
Architecture: source i386 all
Version: 2.3.2.ds1-21
Distribution: unstable
Urgency: high
Maintainer: GOTO Masanori <gotom@debian.org>
Changed-By: GOTO Masanori <gotom@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries and Timezone data
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 182981 219352 264920 265678 292013 292673 294444 294816 295118 295457 297769 300943 303478 303816 304257 304668
Changes: 
 glibc (2.3.2.ds1-21) unstable; urgency=high
 .
   * GOTO Masanori <gotom@debian.org>
 .
     - debian/patches/linuxthreads-sizefix.dpatch: Fix ia64 TLS_PRE_TCB_SIZE
       alignment where TLS_DTV_AT_TP is defined between linuxthreads and nptl.
       It breaks evolution on ia64 linuxthreads ld.so + nptl environment.
       (Closes: #292673)
     - debian/patches/glibc232-sigsetjmp.dpatch: Fix gcc-4.0 compilation
       breakage on amd64.  (Closes: #295457)
     - debian/debhelper.in/libc.manpages: Add tzconfig.8.  Reported by Matthijs
       Mohlmann <matthijs@cacholong.nl>.  (Closes: #182981)
     - debian/patches/90_glibc232-timezones.dpatch: Update to tzdata2005h.
     - debian/patches/hurd-weak-aliases.dpatch: Add to fix undefined references
       to build putty on Hurd, patched by Michael Banck <mbanck@debian.org>.
       (Closes: #295118)
     - debian/debhelper.in/libc.preinst: Fix typo, proofreading.
       (Closes: #294816, #303478)
     - debian/rules: Bump up shlib_dep_ver 2.3.2.ds1-21.  It's required by
       adding GLIBC_2.3.4 symbol.
 .
     - Bastian Blank <waldi@debian.org>:
       - debian/patches/sched-update.dpatch: Update sched_[gs]et_affinity to
         new interface and library version.  Add GLIBC_2.3.4 versioned symbol
         for new interface.  (Closes: #297769)
     - Jeff Bailey <jbailey@raspberryginger.com>:
       - debian/patches/glibc232-tls-crashfix.dpatch: Fix tls assertion that
         crashes xmms/nvidia.  (Closes: #219352)
       - debian/patches/glibc232-pthread-cancellation.dpatch: Fix pthread
         cancellation bug that causes JVM lockups.  (Closes: #300943)
     - Denis Barbier <barbier@debian.org>:
       - debian/debhelper.in/libc.preinst: Add export LC_ALL=C like
         libc.postinst, it corrects some locale dependent behavior,
         especially for `tr'.  (Closes: #304257)
     - Lars Wirzenius <liw@iki.fi>:
       - debian/local/manpages/iconv.1: Escape hyphens for Unicode
         environments.  (Closes: #292013)
     - Emilian Nowak <emil5@go2.pl>:
       - debian/po/pl.po: Add Polish debconf translation.  (Closes: #294444)
     - Matti Polla <mpo@iki.fi>:
       - debian/po/fi.po: Add Finnish debconf translation.  (Closes: #303816)
     - Khalid Aziz <khalid_aziz@hp.com>:
       - debian/patches/glibc232-clock_settime.dpatch: Fix clock_settime
         always fails with EINVAL.  (Closes: #304668)
     - Thiemo Seufer <ths@debian.org>:
       - debian/patches/glibc23-mips-lazy-eval.dpatch: Workaround fix for
         broken symbol resolving of lazy evaluation stubs on mips/mipsel,
         that causes fakeroot breakage.  (Closes: #265678, #264920)
Files: 
 c68cd4ae91be6b9b6a087cd691726d42 1725 libs required glibc_2.3.2.ds1-21.dsc
 d3e90d31845cb5df45c07fed6d85fc3d 1783892 libs required glibc_2.3.2.ds1-21.diff.gz
 066cc175adbb429b371a55abb4c5c551 3166896 doc optional glibc-doc_2.3.2.ds1-21_all.deb
 6f4197d090f8daa7db57a305a1666553 3984332 base standard locales_2.3.2.ds1-21_all.deb
 f85258f6f37716e0243659f74d5e6af9 4901150 base required libc6_2.3.2.ds1-21_i386.deb
 aa70d271dd92cab4038826505b0dd060 2533234 libdevel standard libc6-dev_2.3.2.ds1-21_i386.deb
 2536c0ab2b58cb09474aad229fd8bba9 2014912 libdevel extra libc6-prof_2.3.2.ds1-21_i386.deb
 d8b9ef9a65416d1215c68593226e40b5 1036998 libdevel optional libc6-pic_2.3.2.ds1-21_i386.deb
 39c51f15126543236f5700390db1681f 959450 libs extra libc6-i686_2.3.2.ds1-21_i386.deb
 572479d750a808ec729cdd475c6f48c3 92676 admin optional nscd_2.3.2.ds1-21_i386.deb
 7faf60c947d73331a7e8753188b14a16 10234092 libdevel extra libc6-dbg_2.3.2.ds1-21_i386.deb
 3e0e01f0e801c3b15231ba80042191d7 719300 debian-installer extra libc6-udeb_2.3.2.ds1-21_i386.udeb
 9b953fe85a74aec52e05c7f0ea22ca11 7724 debian-installer extra libnss-dns-udeb_2.3.2.ds1-21_i386.udeb
 0e6efc90404ac8026eca354e011bb3d0 13740 debian-installer extra libnss-files-udeb_2.3.2.ds1-21_i386.udeb
package-type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCYQXbqIqasIZIJsMRAi//AJ9lXH39wkkqkgLNcsGOtOXz2ICugwCfaKYl
6QOMUYp4EWP2+YIZwPOqjWY=
=pXdx
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:53:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.